<?php
exit;
include("config.php3");
include($BIB."bib_generic.php3");
include($BIB."bib_mailing.php3");
include($BIB."bib_tables.php3");

$SUJET_PREFIXE = "SCl KestuFoot (".$NOMS_SITES_ORIGINES[$ORIGINE].") : ";

$NB_SUJETS = 6;

$SUJET[0] = "Pb technique";
$SUJET[1] = "Pb de cadeau";
$SUJET[2] = "Données personnelles/CNIL";
$SUJET[3] = "Partenariat";
$SUJET[4] = "Proposer un article";
$SUJET[5] = "Autre";

$SUJET_APPARENT[0] = "Question technique";
$SUJET_APPARENT[1] = "Question sur les cadeaux";
$SUJET_APPARENT[2] = "Données personnelles/CNIL";
$SUJET_APPARENT[3] = "Partenariat";
$SUJET_APPARENT[4] = "un article dans la rubrique « Actualités »";
$SUJET_APPARENT[5] = "Autre";

$INDEX_SUJET_PAR_DEFAUT = $sujet_id;

############## Send an invitation
function sendmail($email_expediteur,$message,$sujet) {

global $GAME_NAME, $CUSTOMER_SERVICE, $PAGE_PARTENAIRE, $SUJET, $SUJET_PREFIXE, $joueur_logge, $SUJET_MAIL_DEST, $player, $SERVER_URL,$sessid;
$SUJET_PREFIXE = "SCl : ";

//$NB_SUJETS = 2;

$SUJET = $GAME_NAME.$sujet;

$SUJET_APPARENT = $sujet;

$SUJET_MAIL_DEST = $CUSTOMER_SERVICE;


  $sess = open_page($sessid);
  
  if (checkemail($email_expediteur)==false)
	$error = "Vous devez saisir une adresse email correcte";
  else if(empty($message))
	$error = "Vous devez saisir un message";

  else
  {

  	
  
	if ($sess->memberid > 0)
  	{
		$member = getmember($sess->memberid);
		$player = getplayer($sess->memberid);
		$joueur_logge = true;
  	}
  	else
  	{
		$joueur_logge = false;
  	}
	if(isset($player))
	{
		$playerId=$player[Id];
	}
	else
	{
		$playerId=0;
	}
	$date= date("Y-m-d H:i:s", my_local_time());
	
	main_db_query("INSERT INTO SAV (aDate,Traitement,PlayerId, Subject,Email,Contenu) VALUES ('".$date."','0','".$playerId."', '".$SUJET_APPARENT."','".$email_expediteur."','".$message."')");


  	$message_complet = "<html><head>\n";
  	$message_complet .= "<link rel=\"stylesheet\" href=\"".$SERVER_URL."common.css\">\n";
	$message_complet .= "</head><body><font size=2 face=Verdana color=black>";
  	$date = date("Y-m-d H:i:s", my_local_time());

	$message_complet .= "Date d'envoi : ".$date."<br><br>";


  	$subject = $SUJET_PREFIXE.$SUJET;
  	$message_complet .= "<br>---------------------------------------------------<br><br>";
  	$message_complet .= "Sujet : ".$subject."<br><br>";

	$message = nl2br($message);
  	$message_complet .= "$message<br>";
  	$message_complet .= "<br>---------------------------------------------------<br><br>";

	 if ($joueur_logge == true)
  	{
  	  $message_complet .= "joueur loggé :<br>";
  	  $message_complet .= "- pseudo : ".$player['NickName']." (PlayerId : ".$player['Id'].", MemberId : ".$player['MemberId']." )<br>";
  	  $message_complet .= "<br>";
  	}
  	else
  	{
  	  $message_complet .= "joueur non loggé.<br>";
  	}


  
  	$message_complet.="</body></html>";

	//debug("DEST:$SUJET_MAIL_DEST");
	generic_mail($SUJET_MAIL_DEST, $subject, $message_complet,
	       "From: $email_expediteur\n" . 
	       "Reply-To: $email_expediteur\n" . 
	       "X-Mailer: PHP/" . phpversion()."\n".
	       "MIME-Version: 1.0\n".
		"Content-Type: text/html; charset=iso-8859-1");
		
  	$error="Un email a été expédié au service clients.<br> Nous vous remercions et traitons votre demande dans les plus brefs délais.";	   
  	
	
  }
  return $error;		  
}

# verifie si on entre dans le cadre d'une session
$sess = open_page($sessid, 1);

if($go == "x")
{
	if(!empty($Email) || !empty($message))
	{
		$error=sendmail($Email,$message,$SUJET[$sujet_id]);		
		$INDEX_SUJET_PAR_DEFAUT = 0;
		$Email=$message='';
	}
	else
	{
		$error= "Veuillez saisir votre adresse email et votre message";
	}
}

$page_courante = "Contact";

if($sess->memberid != -1)
{
	$sub_header='subh_connecte.inc';
	$member = getmember($sess->memberid);
	$Email = $member['Email'];
}

include("header.inc");

$form_action = $sess->action($CONTACT_PAGE);
$form_name = "modif";

include("contact.inc"); 

include("footer.inc");
close_page($sess);
?> 

